org.springframework.oxm

## Class UncategorizedMappingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.oxm.XmlMappingException
          - - org.springframework.oxm.UncategorizedMappingException

- All Implemented Interfaces:
    Serializable

      public class UncategorizedMappingException
      extends XmlMappingException

  Exception that indicates that the cause cannot be distinguished further.
  Since:
    3.0
  Author:
    Arjen Poutsma
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncategorizedMappingException(String msg, Throwable cause)` Construct an `UncategorizedMappingException` with the specified detail message and nested exception.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UncategorizedMappingException

          public UncategorizedMappingException(String msg,
                                       Throwable cause)

      Construct an `UncategorizedMappingException` with the specified detail message and nested exception.
      Parameters:
        `msg` - the detail message
        `cause` - the nested exception